org.springframework.util.xml

## Class SimpleTransformErrorListener

- java.lang.Object
- - org.springframework.util.xml.SimpleTransformErrorListener

All Implemented Interfaces:
  ErrorListener

    public class SimpleTransformErrorListener
    extends Object
    implements ErrorListener

Simple `javax.xml.transform.ErrorListener` implementation: logs warnings using the given Commons Logging logger instance, and rethrows errors to discontinue the XML transformation.

Since:
  1.2
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`SimpleTransformErrorListener(Log logger)` Create a new SimpleTransformErrorListener for the given Commons Logging logger instance.

### Method Summary

Methods
`void` `error(TransformerException ex)`
`void` `fatalError(TransformerException ex)`
`void` `warning(TransformerException ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTransformErrorListener

    public SimpleTransformErrorListener(Log logger)

Create a new SimpleTransformErrorListener for the given Commons Logging logger instance.

### Method Detail

#### warning

    public void warning(TransformerException ex)
                 throws TransformerException

Specified by:
  `warning` in interface `ErrorListener`
Throws:
  `TransformerException`

#### error

    public void error(TransformerException ex)
               throws TransformerException

Specified by:
  `error` in interface `ErrorListener`
Throws:
  `TransformerException`

#### fatalError

    public void fatalError(TransformerException ex)
                    throws TransformerException

Specified by:
  `fatalError` in interface `ErrorListener`
Throws:
  `TransformerException`